# frozen_string_literal: true

require "active_resource"

module Redmine
  class Issue < ActiveResource::Base
    STATUSES = {
      to_start: 9,
      planned: 15,
      in_progress: 2,
      qa: 12
    }.freeze

    self.site = "https://redmine.renuo.ch"
    self.include_root_in_json = true

    def self.headers
      { "X-Redmine-API-Key" => RenuoCliConfig.redmine_api_key }
    end

    def html_url
      "#{self.class.site}issues/#{id}"
    end
  end
end
