# frozen_string_literal: true

require "active_resource"

module Toggl
  module CustomJsonFormat
    include ActiveResource::Formats::JsonFormat

    # rubocop:disable Style/ModuleFunction
    extend self
    # rubocop:enable Style/ModuleFunction

    def decode(json)
      ActiveSupport::JSON.decode(json)["data"]
    end
  end

  class Detail < ActiveResource::Base
    self.format = CustomJsonFormat
    self.site = "https://toggl.com/reports/api/v2"
    self.include_root_in_json = true
    self.include_format_in_path = false

    def self.user
      RenuoCliConfig.toggl_api_token
    end

    def self.password
      "api_token"
    end
  end
end
