# frozen_string_literal: true

module Toggl
  class User < ActiveResource::Base
    self.site = "https://www.toggl.com/api/v8/"
    self.include_root_in_json = true
    self.include_format_in_path = false

    def self.user
      RenuoCliConfig.toggl_api_token
    end

    def self.password
      "api_token"
    end

    def self.custom_method_collection_url(method_name, options)
      prefix_options, query_options = split_options(options)
      "#{prefix(prefix_options)}#{method_name}#{format_extension}#{query_string(query_options)}"
    end

    def self.me
      new(get(:me)["data"])
    end
  end
end
